using Knot.Contracts.Auth.Domain;
using Microsoft.EntityFrameworkCore;

namespace Knot.Contracts.Auth.Application.Abstractions;

public interface IAuthDbContext
{
    DbSet<T> Set<T>() where T : class;
    Task<int> SaveChangesAsync(CancellationToken cancellationToken = default);
}
